## ev-mapping

ev-mapping

## Functions

EvMappingList * | ev_mapping_list_new ()
EvMappingList * | ev_mapping_list_ref ()
void | ev_mapping_list_unref ()
EvMapping * | ev_mapping_list_get ()
gpointer | ev_mapping_list_get_data ()
GList * | ev_mapping_list_get_list ()
guint | ev_mapping_list_get_page ()
guint | ev_mapping_list_length ()
EvMapping * | ev_mapping_list_nth ()
EvMapping * | ev_mapping_list_find ()
EvMapping * | ev_mapping_list_find_custom ()

## Types and Values

struct | EvMapping
| EvMappingList

## Object Hierarchy

        GBoxed
        ╰── EvMappingList

## Description

## Functions

### ev_mapping_list_new ()

    EvMappingList *
    ev_mapping_list_new (guint page,
                         GList *list,
                         GDestroyNotify data_destroy_func);

### ev_mapping_list_ref ()

    EvMappingList *
    ev_mapping_list_ref (EvMappingList *mapping_list);

### ev_mapping_list_unref ()

    void
    ev_mapping_list_unref (EvMappingList *mapping_list);

### ev_mapping_list_get ()

    EvMapping *
    ev_mapping_list_get (EvMappingList *mapping_list,
                         gdouble x,
                         gdouble y);

Since: 3.12

### ev_mapping_list_get_data ()

    gpointer
    ev_mapping_list_get_data (EvMappingList *mapping_list,
                              gdouble x,
                              gdouble y);

#### Parameters

mapping_list | an EvMappingList |
x | X coordinate |
y | Y coordinate |

#### Returns

the data of a mapping in the list at coordinates (x, y).

[transfer none]

### ev_mapping_list_get_list ()

    GList *
    ev_mapping_list_get_list (EvMappingList *mapping_list);

### ev_mapping_list_get_page ()

    guint
    ev_mapping_list_get_page (EvMappingList *mapping_list);

### ev_mapping_list_length ()

    guint
    ev_mapping_list_length (EvMappingList *mapping_list);

### ev_mapping_list_nth ()

    EvMapping *
    ev_mapping_list_nth (EvMappingList *mapping_list,
                         guint n);

### ev_mapping_list_find ()

    EvMapping *
    ev_mapping_list_find (EvMappingList *mapping_list,
                          gconstpointer data);

#### Parameters

mapping_list | an EvMappingList |
data | mapping data to find |

#### Returns

an EvMapping.

[transfer none]

### ev_mapping_list_find_custom ()

    EvMapping *
    ev_mapping_list_find_custom (EvMappingList *mapping_list,
                                 gconstpointer data,
                                 GCompareFunc func);

#### Parameters

mapping_list | an EvMappingList |
data | mapping data to find |
func | function to use for equality check. | [scope call]

#### Returns

an EvMapping.

[transfer none]

## Types and Values

### struct EvMapping

    struct EvMapping {
    	EvRectangle area;
    	gpointer    data;
    };

### EvMappingList

    typedef struct _EvMappingList EvMappingList;